Subject: [PATCH 0/3] Update xorg-server and xwayland for CVE-2024-9632.

From: Kaelyn Takata <[email-masked]>
Date: Thu, 07 Nov 2024 21:33:03 +0000

This patch series updates xorg-server and xorg-server-xwayland to their latest
versions to fix CVE-2024-9632, which Red Hat has rated "7.8 High" according to
https://nvd.nist.gov/vuln/detail/CVE-2024-9632.

The updated Xwayland depends on a newer version of presentproto than is
available in the current xorgproto package, so I added xorgproto-next to
satisfy Xwayland's dependency while avoiding triggering 10761 additional
package rebuilds.

Kaelyn Takata (3):
  gnu: xorg-server: Update to 21.1.14. [security fixes]
  gnu: Add xorgproto-next.
  gnu: xorg-server-xwayland: Update to 24.1.4 [security fixes].

 gnu/packages/xorg.scm | 35 ++++++++++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 7 deletions(-)

base-commit: 2a6d96425eea57dc6dd48a2bec16743046e32e06
--
2.46.0